      
      <br><br>

   <li class="mdui-card mdui-list-item mdui-ripple">
    <i id="view" class="mdui-list-item-avatar mdui-icon material-icons mdui-text-color-white">dns</i>
    <div class="mdui-list-item-content">
      <div class="mdui-list-item-title">{{$name}}</div>
      <div id="status" class="mdui-list-item-text">{{$status}}</div>
    </div>
    <i class="mdui-list-item-icon mdui-icon material-icons mdui-text-color-grey-400">assistant_photo</i>
  </li>
  
   <br>
    
     <div class="mdui-card">

  <div class="mdui-card-content mdui-typo">
  <code>账号:</code><kbd>{{$username}}</kbd>
  <br>
  <code>密码:</code><kbd>{{$password}}</kbd>
  <br>
  <code>到期:</code><kbd>{{$dqtime}}</kbd>
  </div></div>
<br>

              <form normal action="http://185.216.117.230:3312/vhost/index.php?c=session&a=login" method="post" target="_blank">
        <input type="hidden" name="username" value="{{$username}}" />
			<input type="hidden" name="passwd" value="{{$password}}" />
				<button type="submit" class="mdui-btn mdui-btn-block mdui-color-theme-accent mdui-ripple mdui-shadow-2">登录面板</button>
		</form>
<br>
                 <button mdui-dialog="{target: '#time',history: false}" class="mdui-btn mdui-btn-block mdui-color-theme-accent mdui-ripple mdui-hoverable">
                                续期
                            </button>
           
  
  
  
  
  
    
  <div class="mdui-dialog" id="time">
    
   <form action="./long_product.fx" method="POST">
   
            <input 
            name="id"
            value="{{$mid}}"
            type="text" 
            style="position: absolute; width: 0; height: 0; opacity: 0; pointer-events: none;" 
           readonly></input>
    <div class="mdui-card">
  <div class="mdui-card-content">
  <div class="rk-in-gray-bg mdui-textfield mdui-textfield-floating-label">
  <div class="rk-in-la">
  <label style="" class="mdui-textfield-label">请输入周期数</label>
  </div>
  <input class="rk-in-la mdui-textfield-input" name="count" type="number" />
</div>
<br>
<div id="rk-form-load" class="rk-a-hidden mdui-spinner mdui-spinner-colorful"></div>
<button style="margin-bottom: 15px;" class="mdui-float-right mdui-hoverable mdui-text-color-blue-a200 mdui-btn mdui-color-theme-accent mdui-ripple" type="submit">
    <i class="mdui-icon mdui-icon-left material-icons">assistant_photo</i> 立即续期
    </button>
    
    </div>
    
  </div>
  
   </form>
  </div>
<script>
 // 获取页面中id="status"的元素内容
var statusElement = document.getElementById("status");
var statusText = statusElement ? statusElement.textContent.trim() : "";

// 获取id="view"的元素
var viewElement = document.getElementById("view");

// 根据statusText的内容为viewElement添加相应的颜色类
if (viewElement) {
    switch (statusText) {
        case "已激活":
            viewElement.classList.add("mdui-color-blue");
            break;
        case "待开通":
            viewElement.classList.add("mdui-color-yellow");
            break;
        case "已到期":
            viewElement.classList.add("mdui-color-red");
            break;
        default:
            viewElement.classList.add("mdui-color-grey");
            break;
    }
}

</script>